Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
qt5ct styleplugins GTK option
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Tue Dec 12, 2017 6:01 pm    Post subject: qt5ct styleplugins GTK option Reply with quote

Hi everybody, new user here. I'm having trouble with qt5ct, how do I get the GTK / GTK2 option in qt5ct?

I installed it, but the option isn't there. On Arch its qt5-styleplugins, and on debian/fedora its something similar, libqt5-style-plugins or something of that sort, once I install that package then I can choose[at least on the binary distros I mentioned] GTK in qt5ct.

I'm using the LXDE desktop environment, qt5ct styles my qt apps so they look like my gtk apps.

Also, it keeps telling me the environment variable isn't set... but it is set!!! :(

I have the /etc/environment and an entry in /etc/profile.d
in environment its
Code:
BROWSER=/usr/bin/xdg-open
QT_QPA_PLATFORMTHEME=qt5ct


and in /etc/profile.d/qt5ct.sh it's

Code:
export QT_QPA_PLATFORMTHEME=qt5ct


I even added this to /etc/profile but it STILL does not work unless I type export QT_QPA_PLATFORMTHEME=qt5ct && qt5ct

[Moderator edit: added [code] tags to preserve output layout. -Hu]

edit: lol thank you Hu

Also, the" QT[4] configuration Tool" is missing the GTK option too, how can I add the GTK option to QT5CT and qt4 config?
Back to top
View user's profile Send private message
stqn
n00b
n00b


Joined: 07 Apr 2015
Posts: 49

PostPosted: Wed Dec 13, 2017 3:48 pm    Post subject: Reply with quote

I don’t have qt5ct installed and Qt5 apps use the same Gtk2 style as Qt4 apps on my system. I don’t remember making a specific configuration change for that…

As said in another thread, you need to install qtstyleplugins so it works with Qt5.

In the post-install message for qtstyleplugins, we’re told to set QT_QPA_PLATFORMTHEME=gtk2, but for me it didn’t work. I set the Gtk+ style in qtconfig and use LXDE’s appearance settings (lxde-base/lxappearance) to select the Gtk theme.

EDIT: make sure that qtgui has the gtkstyle use flag.


Last edited by stqn on Thu Dec 14, 2017 1:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Wed Dec 13, 2017 5:32 pm    Post subject: Reply with quote

stqn wrote:
I don’t have qt5ct installed and Qt5 apps use the same Gtk2 style as Qt4 apps on my system. I don’t remember making a specific configuration change for that…

As said in another thread, you need to install qtstyleplugins so it works with Qt5.

In the post-install message for qtstyleplugins, we’re told to set QT_QPA_PLATFORMTHEME=gtk2, but for me it didn’t work. I set the Gtk+ style in qtconfig and use LXDE’s appearance settings to select the Gtk theme.

EDIT: make sure that qtgui has the gtkstyle use flag.


Okay I've added gtkstyle to the qtgui entry in package.use, when I searched it up on the gentoo packages website it didn't show gtkstyle USE flag, why is that? I'll take your word for it that it'll work though, I've gotten it added, it may need to recompile though.
Back to top
View user's profile Send private message
stqn
n00b
n00b


Joined: 07 Apr 2015
Posts: 49

PostPosted: Wed Dec 13, 2017 6:06 pm    Post subject: Reply with quote

kenny_w wrote:

Okay I've added gtkstyle to the qtgui entry in package.use, when I searched it up on the gentoo packages website it didn't show gtkstyle USE flag, why is that? I'll take your word for it that it'll work though, I've gotten it added, it may need to recompile though.

The Gentoo packages web site only shows the use flags for the latest version of the package, I think. You can see the flags for qtgui v4 with:
Code:

equery u qtgui:4

And yes you need to rebuild the package after changing the use flag, for example with:
Code:

emerge -1 qtgui:4
Back to top
View user's profile Send private message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Wed Dec 13, 2017 9:56 pm    Post subject: Reply with quote

stqn wrote:

EDIT: make sure that qtgui has the gtkstyle use flag.


Code:

Support enabled for:
  Accessibility .......... yes
  ALSA ................... no
  CUPS ................... no
  DoubleConversion........ yes (system library)
  Evdev .................. no
  FontConfig ............. yes
  FreeType ............... yes (system library)
  Glib ................... yes
  GStreamer .............. no
  GTK platformtheme ...... yes
  HarfBuzz ............... yes (system library)
  Iconv .................. yes
  ICU .................... no


So I think that means its enabled :P yay
its at 28/33, had quite a few packages that needed rebuilding including MESA, Xorg & some other crucial stuff that needed to build against my i915 driver, its compiling qtgui right as we speak.
I'm running a 32-bit intel atom N270 so its quite slow unfortunately, but it'll be well worth the wait once I have this thing working as I'd like it to.
Back to top
View user's profile Send private message
stqn
n00b
n00b


Joined: 07 Apr 2015
Posts: 49

PostPosted: Wed Dec 13, 2017 10:29 pm    Post subject: Reply with quote

kenny_w wrote:

I'm running a 32-bit intel atom N270 so its quite slow unfortunately, but it'll be well worth the wait once I have this thing working as I'd like it to.

Oh wow, I have one of these, but I didn’t dare install Gentoo on it :).
Back to top
View user's profile Send private message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Thu Dec 14, 2017 12:02 pm    Post subject: Reply with quote

stqn wrote:

Oh wow, I have one of these, but I didn’t dare install Gentoo on it :).


The only package that was REALLY a pain to install was qtwebengine. It took me 24 hours. I slept for 8 hours and it was STILL going...
Debian works quite well on it, but Debian kept giving me issues with the networkmanager & I hate WICD, I'll learn a whole other distro before I'll use that thing!
Gentoo idles at about 135MB of RAM, Debian would idle at 160-180, sometimes higher depending on the kernel version, I like to use the Liquorix 4.12 kernel when using Debian stable.

Its a Dell Inspiron Mini 10v (1011) 2GB DDR2 RAM, what kind of computer do you have for your intel ATOM? And what does it normally run? Debian? Ubuntu? Fedora?
Back to top
View user's profile Send private message
stqn
n00b
n00b


Joined: 07 Apr 2015
Posts: 49

PostPosted: Thu Dec 14, 2017 1:57 pm    Post subject: Reply with quote

kenny_w wrote:

Its a Dell Inspiron Mini 10v (1011) 2GB DDR2 RAM, what kind of computer do you have for your intel ATOM? And what does it normally run? Debian? Ubuntu? Fedora?

Mine is an MSI Wind netbook. 2GB too. At the moment it’s running some version of Linux Mint, but the screensaver doesn’t work, like on recent versions of Xubuntu (Xubuntu 12.04 used to work). I rarely use it so I prefer to have a stable, low maintenance OS on it. Also it’s too slow for Gentoo IMO, unless maybe using distcc or bin packages built on another machine. But just the dependency calculations of emerge must be an horrible pain.

Did you get the Gtk style working in Qt5?
Back to top
View user's profile Send private message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Fri Dec 15, 2017 1:15 am    Post subject: Reply with quote

stqn wrote:
kenny_w wrote:

Its a Dell Inspiron Mini 10v (1011) 2GB DDR2 RAM, what kind of computer do you have for your intel ATOM? And what does it normally run? Debian? Ubuntu? Fedora?

Mine is an MSI Wind netbook. 2GB too. At the moment it’s running some version of Linux Mint, but the screensaver doesn’t work, like on recent versions of Xubuntu (Xubuntu 12.04 used to work). I rarely use it so I prefer to have a stable, low maintenance OS on it. Also it’s too slow for Gentoo IMO, unless maybe using distcc or bin packages built on another machine. But just the dependency calculations of emerge must be an horrible pain.

Did you get the Gtk style working in Qt5?


NOPE!!! I can't figure it out :@ it keeps telling me I need to set the QT_QPA_PLATFORMTHEME variable BUT ITS SET!! I've set it in /etc/environment and in /etc/profile.d/qt5ct.sh but yet this problem STILL occurs, I'm starting to feel really hopeless on this..
I need to solve pulseaudio/bluetooth issues before Monday or I'm just giving up, I NEED a working OS for Tuesday... this makes me so upset :/ I can't even make this stupid theming crap work right.... I don't understand what else I have to do!!! I've even run the sudo env-update && source /etc/profile but yet this problem still persists... .
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 14064

PostPosted: Fri Dec 15, 2017 2:56 am    Post subject: Reply with quote

You're doing (at least) two things wrong. First, you're not describing your problem in sufficient detail that we can readily reproduce it here. That means we need to guess at what you're doing, then try to solve the problems created by those actions, which may or may not be the problems you actually have. Second, you're posting the same problem scattered across multiple threads. That scatters attempts to help you, so some people posting advice may not be aware of other advice you received in other threads. Keep a given problem in a given thread.
Back to top
View user's profile Send private message
kenny_w
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2017
Posts: 83
Location: Toronto, Canada

PostPosted: Fri Dec 15, 2017 3:38 am    Post subject: Reply with quote

Hu wrote:
You're doing (at least) two things wrong. First, you're not describing your problem in sufficient detail that we can readily reproduce it here. That means we need to guess at what you're doing, then try to solve the problems created by those actions, which may or may not be the problems you actually have. Second, you're posting the same problem scattered across multiple threads. That scatters attempts to help you, so some people posting advice may not be aware of other advice you received in other threads. Keep a given problem in a given thread.


I do keep a given problem in a given thread though, I have a bluetooth thread, a qt5ct thread, and a pavucontrol thread, and a thread I commented on to figure out how to install qtstyleplugins.
And what am I supposed to do to tell you how to reproduce the problem???? I don't understand how to do that which is why I'm here, is that really too much work to tell me what I'm supposed to give you the output of??
What "same problem" am I scattering across multiple threads????

I'm giving up, I'm done. I can't do this. Sorry for wasting everyones' time but I shouldn't have to go through so much shit just to make basic functions like bluetooth and sound work. Gentoo isn't for me.
If somebody really wanted to help me, this stuff would've all been solved.
Back to top
View user's profile Send private message
mir3x
Guru
Guru


Joined: 02 Jun 2012
Posts: 431

PostPosted: Fri Dec 15, 2017 3:57 pm    Post subject: Reply with quote

kenny_w wrote:

If somebody really wanted to help me, this stuff would've all been solved.


You are doing it all wrong.
LXDE is dead, mb it receives 10 commits per year, thats all.
qt5ct is broken ...
qtstyleplugins ? thats some ancient style.

You could install qtcurve and mimic your gtk style, and set it for use for qt only apps, but its unmainted too.
You can wait when gnome releases its qt mimic tool, but ... its jsut easier to stop using all gnome stuff and find qt alternatives.
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum